=== debian/changelog ===
ros-indigo-webrtc-ros (59.0.3-0trusty) trusty; urgency=high

  * No changes

 -- Timo Röhling <timo.roehling@fkie.fraunhofer.de>  Thu, 24 Jan 2019 23:00:00 -0000

ros-indigo-webrtc-ros (59.0.2-0trusty) trusty; urgency=high

  * Do not install files outside the package source folder
    I of all people should have caught that.
  * Contributors: Timo Röhling

 -- Timo Röhling <timo.roehling@fkie.fraunhofer.de>  Wed, 23 Jan 2019 23:00:00 -0000

ros-indigo-webrtc-ros (59.0.1-0trusty) trusty; urgency=high

  * No changes

 -- Timo Röhling <timo.roehling@fkie.fraunhofer.de>  Wed, 23 Jan 2019 23:00:00 -0000

ros-indigo-webrtc-ros (59.0.0-0trusty) trusty; urgency=high

  * Upgrade server implementation to support the new API 59
  * Remove deprecated browser features from JS code
  * Only subscribe once to each ROS image topic, regardless of the number of WebRTC clients
  * Various other fixes
  * Contributors: Aaron Gokaslan, Mitchell Wills, Robot User, Russell Toris, Timo Röhling

 -- Timo Röhling <timo.roehling@fkie.fraunhofer.de>  Thu, 17 Jan 2019 23:00:00 -0000
